Bug 9339 - XFree86-devel is a virtual package with no good providers
: XFree86-devel is a virtual package with no good providers
Status: CLOSED FIXED
: Branch 3.0
(All bugs in Branch 3.0/apt)
: 3.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-29 21:29 by
Modified: 2007-05-21 15:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-29 21:29:11
[root@summoner eggdrop]# apt-get install XFree86-devel 
Reading Package Lists... Done 
Building Dependency Tree... Done 
E: Package XFree86-devel is a virtual package with no good  
providers. 
 
[root@summoner eggdrop]# rpm -q xorg-x11-devel 
xorg-x11-devel-6.8.2-alt19 
 
[root@summoner eggdrop]# apt-cache showpkg XFree86-devel 
Package: XFree86-devel 
Versions: 
 
Reverse Depends: 
  libqt4-devel,XFree86-devel 
  xorg-x11-devel,XFree86-devel 
  libqt3-devel,XFree86-devel 
  libmas-devel,XFree86-devel 
  libcaca-devel,XFree86-devel 
  kdevelop-common,XFree86-devel 
  imlib-devel,XFree86-devel 
  gnome-libs-devel,XFree86-devel 
  xorg-x11-devel,XFree86-devel 
  libqt4-devel,XFree86-devel 
Dependencies: 
Provides: 
Reverse Provides: 
xorg-x11-devel 6.8.2-alt18 
xorg-x11-devel 6.8.2-alt19
------- Comment #1 From 2006-12-18 17:44:04 -------
а это проблема apt'а
------- Comment #2 From 2007-05-21 14:17:15 -------
во первых XFree86 давно нет. во вторых если апт попросить поставить 
виртуальный пакет, а в репозитории есть несколько пакетов разных версий 
предоставляющих этот вертульный пакет, апт не знает что выбрать
------- Comment #3 From 2007-05-21 15:47:45 -------
(In reply to comment #2)
> во первых XFree86 давно нет
ну, конечно! еще бы лет 5-10 протянули, эта бага конкретно в 
Compact-3.0.0+updates